import { logger } from './logger.js';

const templatePath = `modules/yet-another-timer/templates/timer-complete.hbs`;

export class TimerCompleteScreen extends FormApplication {a
   static get defaultOptions() {
    const defaults = super.defaultOptions;

    const overrides = {
      height: "auto",
      id: "yet-another-timer-add-timer",
      template: templatePath,
      title: game.i18n?.localize("YAT.timer.complete") || "Timer complete",
    };
    return Object.assign({}, defaults, overrides);
  }

  data = {};

  setData(data) {
    this.data = data;
  }

  getData() {
    return this.data;
  }
}
